How Can We Help?

What Android devices are supported for the Virgin Pulse mobile application?

You are here:

The Virgin Pulse mobile app is compatible with Android phones operating on 6.0 (Marshmallow) and above.

A variety of Android mobile devices are supported but in order for your Virgin Pulse app to work accordingly, your mobile phone will need to operate on at least 6.0 version (or above)

Step tracking is supported for all Android devices with the above mentioned version of operative system and Android devices that can be connected with Google Fit and S-Health step tracking app.

You can check the “How to track steps using the Virgin Pulse mobile app for Android?” article for more information on how to track your steps with Virgin Pulse app.